Summary:	Generic USB CCID smart card reader driver
Name:		ccid
Version:	1.4.24
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://pcsclite.alioth.debian.org/ccid.html

Source0:	http://alioth.debian.org/frs/download.php/file/4171/%{name}-%{version}.tar.bz2
Source1:	http://alioth.debian.org/frs/download.php/file/4172/%{name}-%{version}.tar.bz2.asc
Patch0:		ccid-libtool_fixes.diff

BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libusb-1.0)

Requires:	pcsc-lite

%description
Generic USB CCID (Chip/Smart Card Interface Devices) driver for use with the
PC/SC Lite daemon.


%prep
%autosetup -p1

autoreconf -fis


%build
%configure2_5x --enable-twinserial

%make


%install
%makeinstall_std
cp -p src/openct/LICENSE LICENSE.openct
cp -f src/towitoko/README README.towitoko

# conf file should be placed inside reader.conf.d
mkdir -p %{buildroot}%{_sysconfdir}/reader.conf.d
mv -f %{buildroot}%{_sysconfdir}/reader.conf.d/libccidtwin %{buildroot}%{_sysconfdir}/reader.conf.d/GemPCTwin-serial.conf

%post
/usr/bin/systemctl try-restart pcscd.service > /dev/null 2>&1


%postun
/usr/bin/systemctl try-restart pcscd.service > /dev/null 2>&1


%files
%doc AUTHORS ChangeLog README COPYING LICENSE.openct README.towitoko
%config(noreplace) %{_sysconfdir}/reader.conf.d/*.conf
%{_libdir}/pcsc/drivers/ifd-ccid.bundle/
%{_libdir}/pcsc/drivers/serial/


%changelog
* Sun May 22 2016 sander85 <sander85> 1.4.24-1.mga6
+ Revision: 1017565
- New version: 1.4.24

* Mon May 02 2016 sander85 <sander85> 1.4.23-1.mga6
+ Revision: 1008739
- New version: 1.4.23

* Sat Jan 16 2016 sander85 <sander85> 1.4.22-1.mga6
+ Revision: 924683
- New version: 1.4.22

* Sun Nov 01 2015 sander85 <sander85> 1.4.21-1.mga6
+ Revision: 897133
- New version: 1.4.21

* Wed Aug 05 2015 sander85 <sander85> 1.4.20-1.mga6
+ Revision: 861266
- New version: 1.4.20

* Wed Oct 15 2014 umeabot <umeabot> 1.4.17-4.mga5
+ Revision: 738818
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.4.17-3.mga5
+ Revision: 693579
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.4.17-2.mga5
+ Revision: 678327
- Mageia 5 Mass Rebuild

  + sander85 <sander85>
    - Convert to %%autosetup

* Wed Jun 11 2014 sander85 <sander85> 1.4.17-1.mga5
+ Revision: 635597
- New version: 1.4.17

* Sun Mar 23 2014 sander85 <sander85> 1.4.16-1.mga5
+ Revision: 607006
- New version: 1.4.16

* Tue Feb 04 2014 sander85 <sander85> 1.4.14-1.mga5
+ Revision: 580591
- New version: 1.4.14

* Mon Oct 21 2013 umeabot <umeabot> 1.4.13-2.mga4
+ Revision: 540666
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 1.4.13-1.mga4
+ Revision: 494154
- New version: 1.4.13

* Wed Aug 14 2013 sander85 <sander85> 1.4.12-1.mga4
+ Revision: 466473
- New version: 1.4.12

* Wed Jun 26 2013 sander85 <sander85> 1.4.10-1.mga4
+ Revision: 447274
- New version: 1.4.10

* Fri Jan 11 2013 umeabot <umeabot> 1.4.8-2.mga3
+ Revision: 347446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 sander85 <sander85> 1.4.8-1.mga3
+ Revision: 303917
- New version: 1.4.8

* Sat Jul 21 2012 sander85 <sander85> 1.4.7-1.mga3
+ Revision: 273132
- new version: 1.4.7

* Mon Jan 09 2012 sander85 <sander85> 1.4.5-1.mga2
+ Revision: 194249
- new version: 1.4.5 (spec synced with fedora)

* Sat Apr 23 2011 anssi <anssi> 1.4.1-2.mga1
+ Revision: 89924
- remove invalid GROUP entries from udev rules
- do not call update-reader.conf in post (it has been removed as no
  longer needed)

* Fri Apr 22 2011 ennael <ennael> 1.4.1-1.mga1
+ Revision: 89726
- clean spec file
- imported package ccid

